Get all assignment statuses
get
/hcmRestApi/resources/11.13.18.05/assignmentStatuses
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds all the assignment status types that match the specified primary key.
Finder Variables- AssignmentStatusTypeId; integer; Assignment status type identifier of assignment statuses.
- findByAssignmentStatusTypeIdFromCache Finds all assignment status types that match the specified identifier from cache.
Finder Variables- AssignmentStatusTypeId; integer; Assignment status type identifier used for the cache finder.
- findByBusGroupAndPerSysSt Finds all assignment statuses for the specified business group and person system status.
Finder Variables- BusinessGroupId; integer; Business group identifier of assignment statuses.
- HRStatus; string; Person system status of assignment statuses.
- PrimaryKey Finds all the assignment status types that match the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AssignmentStatusCode; string; Assignment status code of assignment statuses.
- AssignmentStatusTypeId; integer; Assignment status type identifier of assignment statuses.
- BusinessGroupId; integer; Business group identifier of assignment statuses.
- Country; string; Country of assignment statuses.
- Default; string; Indicates whether the assignment status is the default value.
- EndDate; string; End date of assignment statuses.
- HRStatus; string; HR status of assignment statuses.
- OrigAssignStatusTypeId; integer; Original assignment status type identifier of assignment statuses.
- PayStatus; string; Pay status of assignment statuses.
- StartDate; string; Start date of assignment statuses.
- UserStatus; string; User status of assignment statuses.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : assignmentStatuses
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : assignmentStatuses-item-response
Type:
Show Source
object-
AssignmentStatusCode: string
Title:
CodeMaximum Length:30Assignment status code of assignment statuses. -
AssignmentStatusTypeId: integer
(int64)
Title:
Assignment Status IDAssignment status type identifier of assignment statuses. -
BusinessGroupId: integer
(int64)
Title:
Business Group IDBusiness group identifier of assignment statuses. -
Country: string
Title:
CountryMaximum Length:2000Country of assignment statuses. -
Default: string
Title:
DefaultMaximum Length:30Default Value:NIndicates whether the assignment status is the default value. -
EndDate: string
(date)
Title:
End DateEnd date of assignment statuses. -
HRStatus: string
Title:
HR StatusMaximum Length:30HR status of assignment statuses. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OrigAssignStatusTypeId: integer
Title:
Original StatusOriginal assignment status type identifier of assignment statuses. -
PayStatus: string
Title:
Pay StatusMaximum Length:30Pay status of assignment statuses. -
StartDate: string
(date)
Title:
Start DateStart date of assignment statuses. -
translations: array
Assignment Status Translations
Title:
Assignment Status TranslationsThe assignmentStatuses translations resource provides translated details of the assignment statuses. -
UserStatus: string
Title:
StatusMaximum Length:80User status of assignment statuses.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Assignment Status Translations
Type:
arrayTitle:
Assignment Status TranslationsThe assignmentStatuses translations resource provides translated details of the assignment statuses.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : assignmentStatuses-translations-item-response
Type:
Show Source
object-
AssignmentStatusTypeId: integer
(int64)
Assignment status type identifier of assignment status translations.
-
Language: string
Maximum Length:
4Language code of assignment status translations. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Object version number of assignment status translations.
-
SourceLang: string
Maximum Length:
4Source language of assignment status translations. -
UserStatus: string
Title:
StatusMaximum Length:80User status of assignment status translations.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- findByAdvancedSearchQuery
-
Runs an advanced search on assignment statuses using the specified query criteria.